## org.apache.axis.encoding.ser
Class BeanDeserializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory
              org.apache.axis.encoding.ser.BeanDeserializerFactory

All Implemented Interfaces:
  DeserializerFactory, DeserializerFactory, java.io.Serializable

public class BeanDeserializerFactory
extends BaseDeserializerFactory

DeserializerFactory for Bean

Author:
  Rich Scheuerle <scheu@us.ibm.com>, Sam Ruby <rubys@us.ibm.com>
See Also:
  Serialized Form

Field Summary
`protected java.util.Map` `propertyMap`
`protected TypeDesc` `typeDesc` Type metadata about this class for XML deserialization

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, log, xmlType`

Constructor Summary
`BeanDeserializerFactory(java.lang.Class javaType, QName xmlType)`

Method Summary
`protected Deserializer` `getGeneralPurpose(java.lang.String mechanismType)` Optimize construction of a BeanDeserializer by caching the type descriptor and property map.
`static java.util.Map` `getProperties(java.lang.Class javaType, TypeDesc typeDesc)` Get a list of the bean properties

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getDeserializerAs, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeDesc

    protected transient TypeDesc typeDesc

  Type metadata about this class for XML deserialization

### propertyMap

    protected transient java.util.Map propertyMap

Constructor Detail

### BeanDeserializerFactory

    public BeanDeserializerFactory(java.lang.Class javaType,
                                   QName xmlType)

Method Detail

### getProperties

    public static java.util.Map getProperties(java.lang.Class javaType,
                                              TypeDesc typeDesc)

  Get a list of the bean properties

### getGeneralPurpose

    protected Deserializer getGeneralPurpose(java.lang.String mechanismType)

  Optimize construction of a BeanDeserializer by caching the type descriptor and property map.

  Overrides:
    `getGeneralPurpose` in class `BaseDeserializerFactory`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.